
#include <qapp.h>
#include <yafAmplifier/yafAmplifier.h>
#include <devices/genericStreamProducer.h>

#include <unistd.h>
#include "guiPlayer4.h"


 
/**
   This example show how you can control a device
   by the gui. 

   This is a very low level control, its not
   a control for a yaf player. It show
   how a gui can use the information which
   is produced by a device. A gui should
   not block devices for which a continous
   pcm stream is important, like Audiodevice.
   

   Make sure youe have edited the file

   ../mp3Songs.h


*/



#include "../SONGS.DEF"




int main(int nargs,char** args) {
  QApplication a( nargs, args);

  YafAmplifier amplifier;
  GenericStreamProducer* decoder;

  decoder=amplifier.createDecoder(_MP3_DECODER);

  decoder->open(song[2]);



  // here the gui part:
  GuiPlayer* guiPlayer=new GuiPlayer();

  guiPlayer->setGeometry( 100, 100, 900, 120 );
  a.setMainWidget( guiPlayer );
  guiPlayer->show();


  guiPlayer->setGenericStreamProducer(decoder);
  a.exec();
  delete decoder;
  return 0;
}



  
