//
//  kmpg
//
//  Copyright (C) 1997 Bjarni Ivarsson
//  email: Bjarni.Ivarsson@swipnet.se
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//

#include "equalizer.h"
#include <kapp.h>

Equalizer::Equalizer() : QWidget() 
{ 
   int i; 

   for( i=0; i<16; i++ ) 
   {
      _slider[i] = new QSlider( 0, 200, 1, 100, QSlider::Vertical, this );
      _slider[i]->setGeometry( 10+i*20, 10, 16, 160 ); 
      connect( _slider[i], SIGNAL(valueChanged(int)), 
	       SLOT(doSliderChanged(int)) ); 
   } 

   resize( 16*20+16, 180 ); 
   setCaption( klocale->translate("Equalizer") ); 
}

Equalizer::~Equalizer()
{
}

void Equalizer::doSliderChanged( int val )
{
   int values[32], i;
   
   for( i=0; i<16; i++ )
      values[i] = 200 - _slider[i]->value();
   
   emit( sigChanged( values, values ) ); // use same values for left & right   
}
